Bug 240208 - devel/rubygem-io-like fails at stage phase
Summary: devel/rubygem-io-like fails at stage phase
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-30 11:40 UTC by Marko Cupać
Modified: 2019-09-01 16:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tota)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2019-08-30 11:40:20 UTC
Hi,

I can't build latest devel/rubygem-io-like (gitlab-ce dependency):

=======================<phase: stage          >============================
===>  Staging for rubygem-io-like-0.3.0.20130301
===>   Generating temporary packing list
ERROR:  While executing gem ... (OptionParser::InvalidOption)
    invalid option: --no-rdoc
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/rubygem-io-like

I have DOCS disabled globally in poudriere's make.conf for that jail/set:

#### /usr/local/etc/poudriere.d/12_0:x86:64-default-server-make.conf ####
OPTIONS_UNSET= CUPS DOCS X11

Regards,
Comment 1 Bedo 2019-08-31 22:51:03 UTC
Hi,

have same problem when disabled DOCS in make config. This helped to build it.
--- Makefile.original   2019-09-01 00:45:44.143432000 +0200
+++ Makefile    2019-09-01 00:43:52.370309000 +0200
@@ -58,7 +58,7 @@
 OPTIONS_DEFINE=        DOCS

 DOCS_BUILD_DEPENDS=    rubygem-allison>=0:devel/rubygem-allison
-DOCS_VARS_OFF=         RUBYGEM_ARGS+=--no-rdoc
+DOCS_VARS_OFF=         RUBYGEM_ARGS+=--no-document

 .include <bsd.port.options.mk>
Comment 2 commit-hook freebsd_committer 2019-09-01 16:22:27 UTC
A commit references this bug:

Author: tota
Date: Sun Sep  1 16:21:26 UTC 2019
New revision: 510706
URL: https://svnweb.freebsd.org/changeset/ports/510706

Log:
  - Make use of options helpers to fix build error without DOCS [1]
  - Make portlint happier

  PR:		240208 [1]
  Submitted by:	Marko Cupa? <marko_DOT_cupac_AT_mimar_DOT_rs> [1]

Changes:
  head/devel/rubygem-io-like/Makefile
Comment 3 TAKATSU Tomonari freebsd_committer 2019-09-01 16:25:09 UTC
Committed.
Thanks!